Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in bsdtar
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in bsdtar
ID: SUSE-SU-2016:1939-1
Distribution: SUSE
Plattformen: SUSE Studio Onsite 1.3, SUSE Linux Enterprise Software Development Kit 11-SP4, SUSE Linux Enterprise Server 11-SP4, SUSE Linux Enterprise Debuginfo 11-SP4, SUSE Linux Enterprise Server 11-SP2-LTSS, SUSE Manager 2.1, SUSE OpenStack Cloud 5, SUSE Linux Enterprise Server 11-SP3-LTSS, SUSE Manager Proxy 2.1, SUSE Linux Enterprise Point of Sale 11-SP3
Datum: Di, 2. August 2016, 18:35
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8921
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8924
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4809
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8920
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-2304
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8929
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8918

Originalnachricht

   SUSE Security Update: Security update for bsdtar
______________________________________________________________________________

Announcement ID: SUSE-SU-2016:1939-1
Rating: important
References: #920870 #984990 #985609 #985669 #985675 #985682
#985698
Cross-References: CVE-2015-2304 CVE-2015-8918 CVE-2015-8920
CVE-2015-8921 CVE-2015-8924 CVE-2015-8929
CVE-2016-4809
Affected Products:
SUSE Studio Onsite 1.3
SUSE OpenStack Cloud 5
SUSE Manager Proxy 2.1
SUSE Manager 2.1
SUSE Linux Enterprise Software Development Kit 11-SP4
SUSE Linux Enterprise Server 11-SP4
SUSE Linux Enterprise Server 11-SP3-LTSS
SUSE Linux Enterprise Server 11-SP2-LTSS
SUSE Linux Enterprise Point of Sale 11-SP3
SUSE Linux Enterprise Debuginfo 11-SP4
______________________________________________________________________________

An update that fixes 7 vulnerabilities is now available.

Description:

bsdtar was updated to fix seven security issues.

These security issues were fixed:
- CVE-2015-8929: Memory leak in tar parser (bsc#985669).
- CVE-2016-4809: Memory allocate error with symbolic links in cpio
archives (bsc#984990).
- CVE-2015-8920: Stack out of bounds read in ar parser (bsc#985675).
- CVE-2015-8921: Global out of bounds read in mtree parser (bsc#985682).
- CVE-2015-8924: Heap buffer read overflow in tar (bsc#985609).
- CVE-2015-8918: Overlapping memcpy in CAB parser (bsc#985698).
- CVE-2015-2304: Reject absolute paths in input mode of bsdcpio exactly
when '..' is rejected (bsc#920870).


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Studio Onsite 1.3:

zypper in -t patch slestso13-bsdtar-12672=1

- SUSE OpenStack Cloud 5:

zypper in -t patch sleclo50sp3-bsdtar-12672=1

- SUSE Manager Proxy 2.1:

zypper in -t patch slemap21-bsdtar-12672=1

- SUSE Manager 2.1:

zypper in -t patch sleman21-bsdtar-12672=1

- SUSE Linux Enterprise Software Development Kit 11-SP4:

zypper in -t patch sdksp4-bsdtar-12672=1

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-bsdtar-12672=1

- SUSE Linux Enterprise Server 11-SP3-LTSS:

zypper in -t patch slessp3-bsdtar-12672=1

- SUSE Linux Enterprise Server 11-SP2-LTSS:

zypper in -t patch slessp2-bsdtar-12672=1

- SUSE Linux Enterprise Point of Sale 11-SP3:

zypper in -t patch sleposp3-bsdtar-12672=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-bsdtar-12672=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Studio Onsite 1.3 (x86_64):

libarchive-devel-2.5.5-9.1

- SUSE OpenStack Cloud 5 (x86_64):

libarchive2-2.5.5-9.1

- SUSE Manager Proxy 2.1 (x86_64):

libarchive2-2.5.5-9.1

- SUSE Manager 2.1 (s390x x86_64):

libarchive2-2.5.5-9.1

- SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64
s390x x86_64):

libarchive-devel-2.5.5-9.1

- SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

libarchive2-2.5.5-9.1

- SUSE Linux Enterprise Server 11-SP3-LTSS (i586 s390x x86_64):

libarchive2-2.5.5-9.1

- SUSE Linux Enterprise Server 11-SP2-LTSS (i586 s390x x86_64):

libarchive2-2.5.5-9.1

- SUSE Linux Enterprise Point of Sale 11-SP3 (i586):

libarchive2-2.5.5-9.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):

bsdtar-debuginfo-2.5.5-9.1
bsdtar-debugsource-2.5.5-9.1


References:

https://www.suse.com/security/cve/CVE-2015-2304.html
https://www.suse.com/security/cve/CVE-2015-8918.html
https://www.suse.com/security/cve/CVE-2015-8920.html
https://www.suse.com/security/cve/CVE-2015-8921.html
https://www.suse.com/security/cve/CVE-2015-8924.html
https://www.suse.com/security/cve/CVE-2015-8929.html
https://www.suse.com/security/cve/CVE-2016-4809.html
https://bugzilla.suse.com/920870
https://bugzilla.suse.com/984990
https://bugzilla.suse.com/985609
https://bugzilla.suse.com/985669
https://bugzilla.suse.com/985675
https://bugzilla.suse.com/985682
https://bugzilla.suse.com/985698

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung